package com.nisum.pages;

import org.openqa.selenium.StaleElementReferenceException;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.How;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;


public class HomePagePF {
    WebDriver driver;
    @FindBy(how= How.XPATH, using = "//span[@class='button__item menu-nav__profile-button-sign-in-up d-none d-lg-inline-block']")
    WebElement lnkAccountBtn;

    @FindBy(how= How.XPATH, using = "//a[contains(text(),'Account Setting')]")
    WebElement lnkAccountSettingsBtn;

    public HomePagePF(WebDriver driver){
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }



    public void NavToAccountSettingPage(){
        try{
            lnkAccountBtn.click();
            lnkAccountSettingsBtn.click();

        }catch (StaleElementReferenceException e){
             WebDriverWait wdw = new WebDriverWait(driver, 5);
             wdw.until(ExpectedConditions.elementToBeClickable(lnkAccountBtn));
            lnkAccountBtn.click();
            lnkAccountSettingsBtn.click();
        }
    }
}
