package com.nisum.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedCondition;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class Login {
    WebDriver driver;
    WebElement linkSignIn;
    WebElement inputUserName;
    WebElement inpPassword;
    WebElement btnSubmit;

    public Login(WebDriver driver, String url){
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(3000, TimeUnit.MICROSECONDS);
        driver.navigate().to(url);
    }

    public WebElement getLinkSignIn(){
        return driver.findElement(By.xpath("//span[@class='button__item menu-nav__profile-button-sign-in-up d-none d-lg-inline-block']"));
    }

    public WebElement getMenuItemSignIn(){
        return driver.findElement(By.id("sign-in-modal-link"));
    }
    public  WebElement getInputUserName(){
        return driver.findElement(By.id("label-email"));
    }

    public WebElement getInpPassword(){
        return driver.findElement(By.id("label-password"));
    }

    public WebElement getBtnSubmit(){
        return driver.findElement(By.id("btnSignIn"));
    }

    public void login(String email, String password){
        getLinkSignIn().click();
        getMenuItemSignIn().click();
        WebDriverWait wdw = new WebDriverWait(driver,5);
        wdw.until(ExpectedConditions.elementToBeClickable(getInputUserName()));
        getInputUserName().sendKeys(email);
        getInpPassword().sendKeys(password);
        getBtnSubmit().click();

    }



}
